Versione API Graph

Page Conversations

Lettura

Get a list of conversations between people and your Page, your Business Page, or your Instagram Professional account.

Nuova esperienza della Pagina

This endpoint is supported for Nuova esperienza della Pagina.

Permissions

For Messenger conversations between people and your Page, your app will need: For Instagram Messaging conversations between people and your Instagram Professional account, your app will need:
  • A Page access token requested by a person who can perform the MESSAGING task on the Page linked to your Instagram Business account
  • The instagram_basic, instagram_manage_messages, and pages_manage_metadata permissions
  • Your app must be owned by a verified business

Limitations

  • Time-based pagination is not available for the conversations endpoint.

Esempio

Graph API Explorer
GET /v26.0/{page-id}/conversations HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{page-id}/conversations',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{page-id}/conversations",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{page-id}/conversations",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{page-id}/conversations"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se desideri scoprire come usare l'API Graph, leggi la nostra Guida per l'utilizzo dell'API Graph.

Parametri

ParametroDescrizione
folder
string

folder

platform
enum {INSTAGRAM, MESSENGER}

platform

user_id
string

user_id

Campi

La lettura da questo segmento fornirà un risultato formattato JSON:

{ "data": [], "paging": {} }

data

Una lista di nodi UnifiedThread.

paging

Per ulteriori dettagli sulla paginazione, consulta la Guida su API Graph.

Error Codes

ErroreDescrizione
80006There have been too many messenger api calls to this Page account. Wait a bit and try again. For more info, please refer to https://developers.facebook.com/docs/graph-api/overview/rate-limiting.
200Permissions error
100Invalid parameter
613Calls to this api have exceeded the rate limit.
230Permissions disallow message to user
190Invalid OAuth 2.0 Access Token
368The action attempted has been deemed abusive or is otherwise disallowed
104Incorrect signature
2500Error parsing graph query

Creazione

Non puoi eseguire questa operazione in questo endpoint.

Aggiornamento

Non puoi eseguire questa operazione in questo endpoint.

Eliminazione

Non puoi eseguire questa operazione in questo endpoint.